h1, h2, h3,h4, h5{text-transform: uppercase; padding: 0; margin: 0; }

.hero{
    width: calc(100% - 40px);
    min-height: calc(100vh - 120px);
    background: var(--dark-grey);
    border-top-left-radius: 20px; 
    border-top-right-radius: 20px;
    position: relative;
    background-size: cover!important; 
    background-position: center!important;
    padding: 20px; 
    
    
}

.hero .copyright{
    position: absolute; 
    bottom: 10px; 
    left: 20px; 
    color: white;
    opacity: 0.5;
}

.hero .mask{
    position: absolute; 
    top: 0; left: 0; 
    width: 100%; height: 100%; 
    background: var(--text-color);
}

.hero .content_wrapper{
    width: 100%; 
}

.hero .side_content{
    position: relative;
    padding-top: 2em;
}

@media(min-width: 900px){

    .hero{
        overflow: hidden;
        display: flex;
        align-items: center; /* vertical */
        padding: initial;
        width: 100%;
    }

    .hero .content_wrapper{
        width: calc(100% - 90px);
        height: calc(100% - 60px);
        padding: 30px; 
        margin-left: 100px; 
        position: relative;
    }

    .hero .content_wrapper{
        width: 672px;
    }

    .hero .side_content{
        width: 40%; 
        height: 100%; 
        position: absolute; 
        top: 0; right: 0;
        
        
    }

    .hero .side_content::before{
        content: "";
        position: absolute; 
        top: 0; right: -200px;
        height: 100%; 
        width: calc(120% + 100px);
        transform: skew(-15deg);
        background: rgba(0,0,0,0.5);
        border-left: 4px solid var(--primary-color);

    }

    body .hero .side_content::after{
        content: "";
        position: absolute; 
        top: 0; 
        height: 100%; 
        right: -90%;
        opacity: 0;

        transform: skew(-15deg);
        border-left: 1px solid var(--primary-color);
        opacity: 0.3;
        transition-duration: 1.1s;
        transition-delay: 0.6s;
    }

    body.show .hero .side_content::after{
        right: 90%;
        opacity: 0.4;
    }

    .hero .side_content .content{
        width: 70%; 
        position: absolute; 
        top: 50%; 
        right: 40px; 
        transform: translateY(-50%);
    }

    .hero .side_content .content h2{font-size: 2vh; line-height: 1em; color: white;}

    .hero .side_content .content h1, .hero .side_content .content h3, .hero .side_content .content p{color: white;}
}

@media(min-width: 1200px){
    body .hero .side_content::before{
        content: "";
        position: absolute; 
        top: 0; right: -1000px;
        opacity: 0;
        height: 100%; 
        width: calc(110% + 200px);
        transform: skew(-15deg);
        background: rgba(0,0,0,0.5);
        border-left: 4px solid var(--primary-color);
        transition-duration: 1s;
        transition-delay: 0.5s;

    }

    body.show .hero .side_content::before{
        right: -200px;
        opacity: 1;
    }

    .hero .side_content .content h2{font-size: 3vh; line-height: 1em;}

    .hero .side_content .content{
        right: 100px;
    }
}

.hero .content_wrapper h1{
    font-size: 5vh;
}

.hero .content_wrapper h1, .hero .content_wrapper h2, .hero .content_wrapper h3, .hero .content_wrapper p{
    color: white;
    line-height: 0.9em;
    
}

.hero .content_wrapper h1.main{
    font-size: 10vh;
}

@media(max-width: 840px){
    .hero .content_wrapper h1.main{
        font-size: 5vh;
    }
}

.hero .content_wrapper p{
    line-height: 1.2em;
    
}



.countdown{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    margin: 1em 0;
    width: 30vw;
}

.countdown.elapsed{
    grid-template-columns: 1fr;
}

.countdown .count_digit{
    text-align: center;
}

.countdown .count_digit h1, .countdown .count_digit p{
    line-height: 1em; padding: 0; margin: 0; 
    
}


@media(max-width: 740px){
    .hero .content_wrapper h1{
        font-size: 48px;
    }

    .hero .content_wrapper p{
        font-size: 18px;
    }

    .countdown{
        width: 100%; 
        max-width: 300px;
    }

    .countdown .count_digit p{
        font-size:  2vh;
    }

    .hero .content_wrapper{
        width: calc(100% - 30px);
        padding: 15px; 
    }
}

.block{
    background: var(--text-color);
    color: white;
    padding: 30px;
}

.block.short_top{padding-top: 0;}
.block.short_bottom{padding-bottom: 1em;}

.block.block_head{
    border-top-left-radius: 20px; 
    border-top-right-radius: 20px;
}

.block.block_bottom{
    border-bottom-left-radius: 20px; 
    border-bottom-right-radius: 20px;
    margin-bottom: 1em;
}

.block:last-child{padding-bottom: 10em;}

.block h1, .block h2, .block h3, .block p{color: white;}

.block .block_head{
    padding: 3em 0 1em 0;
}

.dojo_item{
    border-radius: 10px; 
    overflow: hidden;
    background: var(--dark-grey);
    position: relative;
}

.dojo_item .img_wrapper{
    width: 100%;
    aspect-ratio: 16 / 9;
    background-size: cover!important; 
    background-position: center!important;
    border-top-left-radius: 10px; 
    border-top-right-radius: 10px;
    position: relative;
}

.dojo_item .img_wrapper .tag{
    position: absolute; 
    top: 10px; left: 10px; 
    color: white; font-size: 11px;
    padding: 3px 10px; 
    background: var(--text-color);
    border-radius: 3px; 
    border: 1px solid rgba(125,125,125, 0.25);
    text-transform: uppercase;
}

.dojo_item .img_wrapper .tag.tag_right{
    left: initial;
    right: 10px;
    background: var(--primary-color);
    color: var(--text-color);
}

.dojo_item .img_wrapper .tag span.icon{
    font-size: 13px; 
    transform: translateY(2px);
    margin-right: 0.5em;
}


.dojo_grid{
    gap: 1em;
}

.dojo_grid .text_grid{
    display: grid; 
    grid-template-columns: 100px 1fr;
    gap: 1em;
}

.dojo_grid .text_grid .logo{
    background-size: 60%!important;
    background-position: center!important;
    
    width: 100px; height: 100px; 
}

.dojo_grid .text_grid .logo.invert{
    filter: invert(100%);
}

.dojo_grid .text_grid > div:nth-child(2){
    padding: 1em 10px 4em 10px;
    
}

.dojo_grid .text_grid h3{padding: 0; margin: 0; }

.dojo_grid .text_grid p{opacity: 0.7;}

.dojo_grid .text_grid > div:nth-child(2) .button{
    position: absolute; 
    bottom: 2em; left: 120px; 
}

.dojo_item .text_wrapper{padding: 20px 20px 4em 20px; }

.dojo_item .text_wrapper .button{
    position: absolute;
    bottom: 2em;
    left: 20px;
}



@media(min-width: 940px){
    .dojo_grid_2{
        grid-template-columns: 1fr 1fr;
    }

    .dojo_grid_3{
        grid-template-columns: 1fr 1fr 1fr;
    }

    .dojo_grid_4{
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media(min-width: 1240px){
    .dojo_grid_4{
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.block p.dojo_status{
    
    color: var(--primary-color);
    text-transform: uppercase;
}

.dojo_status span{
    font-size: 1.2em;
    transform: translateY(3px);
}

.block_head h1{line-height: 1em; padding: 0; margin: 0; }

.dojo_head_grid, .dojo_nav_grid{
    display: grid; 
    gap: 10px; 
}

@media(min-width: 940px){
    .dojo_head_grid{
    grid-template-columns: 1fr 360px; 
    align-items: end;

}

    .dojo_nav_grid{
        grid-template-columns: 1fr 360px; 
        align-items: center;
    }
}



p.highlight, h2.highlight, h3.highlight{
    color: var(--primary-color);
}

.bar{
    display: block; 
    border-top: 1px solid var(--light-grey);
    margin: 1em 0;
    opacity: 0.3;
}

.btn_line{
    padding: 5px;
    display: flex; 
    justify-content: space-between;
    background: var(--dark-grey);
    gap: 5px; 
    border-radius: 10px; 
    
}

.btn_line .btn{
    padding: 8px 10px; 
    background: transparent;
    text-decoration: none;
    border-radius: 5px; 
    font-size: 13px;
    text-transform: uppercase; 
    transition-duration: 0.25s;
    color: white;
}

.btn_line .btn:hover{
    background: var(--dark-grey2);
}

.btn_line .btn.active{
    background: var(--text-color);
}

a.button{
    margin-bottom: 2px; 
}


.dojo_item .text_wrapper{
    padding: 10px; 

}

.dojo_item .text_wrapper .profile_grid{
    display: grid; 
    grid-template-columns: 40px 1fr 20px;
    gap: 10px; 

}

.dojo_item .text_wrapper .profile_grid .avatar{
    width: 40px; height: 40px; 
    background: url(../images/backgrounds/icon-user-profile.svg) no-repeat;
    border-radius: 50%; 
    background-size: cover!important; 
    background-position: center!important;
}

.dojo_item .text_wrapper .profile_grid > div:nth-child(2){
    position: relative; 
    padding-bottom: 1.5em;
}

.dojo_item .text_wrapper .profile_grid a{
    left: 0; 
    bottom: 0px; 
}

h2.dojo{padding-bottom: 0.5em;}

.starts_in{transform: translateY(10px);}


@media (min-width: 900px) {
    .hero .content_wrapper {
        width: calc(50% - 100px);
    }
}